MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027258Open CASCADE[OCCT] OCCT:Configurationpublic2016-03-14 14:352018-05-24 12:00
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027258: Configuration - generate built-in replacement for mandatory resource files
DescriptionOCCT depends on a number of resource files mandatory for its functionality.
For the moment, these resources are loaded dynamically from text files within specified environment variables.
set "CSF_SHMessage=%CASROOT%\src\SHMessage"
set "CSF_ShadersDirectory=%CASROOT%\src\Shaders"
set "CSF_XSMessage=%CASROOT%\src\XSMessage"
set "CSF_TObjMessage=%CASROOT%\src\TObj"
set "CSF_StandardDefaults=%CASROOT%\src\StdResource"
set "CSF_PluginDefaults=%CASROOT%\src\StdResource"
set "CSF_XCAFDefaults=%CASROOT%\src\StdResource"
set "CSF_TObjDefaults=%CASROOT%\src\StdResource"
set "CSF_StandardLiteDefaults=%CASROOT%\src\StdResource"
set "CSF_UnitsLexicon=%CASROOT%\src\UnitsAPI\Lexi_Expr.dat"
set "CSF_UnitsDefinition=%CASROOT%\src\UnitsAPI\Units.dat"
set "CSF_IGESDefaults=%CASROOT%\src\XSTEPResource"
set "CSF_STEPDefaults=%CASROOT%\src\XSTEPResource"
set "CSF_XmlOcafResource=%CASROOT%\src\XmlOcafResource"
set "CSF_MIGRATION_TYPES=%CASROOT%\src\StdResource\MigrationSheet.txt"

The absence of mandatory resource usually handled by throwing exception from internal classes of OCCT, usually leading to application crash. For instance, Shaders/Declarations.glsl and Shaders/DeclarationsImpl.glsl are mandatory for TKOpenGl (3D Viewer) functionality.

This scheme requires applications to handle resources by their own, complicating their distribution. This also introduces extra issues on platforms like Android, where resources can not be accessed directly using standard file functions from C runtime.

It is suggested to embed the mandatory resources directly into OCCT source code. However, since maintenance of big text resources within C++ code is complicated, it would be better to provide a procedure for generating updated source code files from original text files - something similar to optional processing of .yacc and .lex files.

For this purpose the following changes should be done:
- Write tcl (for genproj.tcl) and CMake procedures for generating valid C++ header file defining variable from original text file.
It is suggested to extend CMake and genproj.tcl
- Collect the list of mandatory resource files.
- For resources that should be never changed, just replace the dynamic reading of file resources within generated header file.
- For resources that can be intensively modified during OCCT development (like GLSL programs), provide an option to read resource from file.
Steps To ReproduceN/A

Interactive checks:

Check Ray-Tracing programs embedded from CASROOT/src/Shaders (replacement for CSF_ShadersDirectory):
pload MODELING VISUALIZATION
set ::env(CASROOT) ""
set ::env(CSF_ShadersDirectory) ""
vclear
vinit View1
box b 1 2 3
vdisplay -dispmode 1 b
vfit
vraytrace 1
vrenderparams -gi 1


Checking embedded XSMessage/XSTEP.us and SHMessage/SHAPE.us (replacement for CSF_XSMessage and CSF_SHMessage):
set ::env(CSF_XSMessage) ""
set ::env(CSF_SHMessage) ""
pload ALL


Checking embedded UnitsAPI/Units.dat (e.g. bugs/fclasses/bug11568_1):
unitparsing ton/(mm*s**2)
unitconvtoSI 1 gilbert
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0028027closedapn Open CASCADE Configuration - option BUILD_RESOURCES does not work on CMake 2.8 
related to 0027432closedbugmaster Community Null Handle Access When Creating AIS_Trihedron 
related to 0027675closedbugmaster Open CASCADE Foundation Classes - handle Unicode path to CSF_UnitsLexicon and CSF_UnitsDefinition on Windows 
related to 0028024newabv Open CASCADE Configuration - revise XSTEPResource initialization 
related to 0028124newkgv Open CASCADE Visualization - availability of standard textures 
related to 0009457closedski Community Avoid usage of environment variables 

-  Notes
(0051592)
git (administrator)
2016-03-14 14:44

Branch CR27258 has been created by kgv.

SHA-1: 48fa390c4130f2ce565c5185bb7dc46a45b57fbc


Detailed log of new commits:

Author: kgv
Date: Mon Mar 14 14:44:22 2016 +0300

    0027258: Visualization - do not throw exception on missing or broken CSF_ShadersDirectory
    
    The error message is now generated instead of exception in case
    when CSF_ShadersDirectory/CSF_MDTVTexturesDirectory are not defined
    or point to wrong location.
(0051593)
kgv (developer)
2016-03-14 14:44

Patch is ready for review.
(0051767)
abv (manager)
2016-03-18 10:13

This solution is not universal: putting a message to Messenger may be more useful or not than exception, depending on context.
(0057478)
git (administrator)
2016-09-05 18:26

Branch CR27258_1 has been created by ski.

SHA-1: b67fbdc8c4efabcbbdec107f78dddb60f572d620


Detailed log of new commits:

Author: ski
Date: Mon Aug 22 14:14:59 2016 +0300

    0027258: Configuration - generate built-in replacement for mandatory resource files
(0057480)
git (administrator)
2016-09-05 18:42

Branch CR27258_1 has been updated forcibly by ski.

SHA-1: 3803d98d0e46a9b8e157c334affd9b603ea37c05
(0057481)
git (administrator)
2016-09-05 18:43

Branch CR27258_1 has been updated forcibly by ski.

SHA-1: eae01a8b9f30e5d647ec922f4a4d0f7bf7d6483c
(0057482)
git (administrator)
2016-09-05 18:46

Branch CR27258_1 has been updated forcibly by ski.

SHA-1: 4cd5a019d706bcfa5ac82ecd27afd8c038b12038
(0057520)
git (administrator)
2016-09-06 15:24

Branch CR27258_1 has been updated forcibly by ski.

SHA-1: 295067773f8edd8851062835485245a3f0999c18
(0057603)
git (administrator)
2016-09-08 16:48

Branch CR27258_1 has been updated forcibly by ski.

SHA-1: ba046aa8ac3e13d419b2ce718b36e1e0cdcd1491
(0057635)
git (administrator)
2016-09-09 12:15

Branch CR27258_1 has been updated forcibly by ski.

SHA-1: 8d662d1aca344311652cfab699804d25ed846533
(0057649)
git (administrator)
2016-09-09 16:45

Branch CR27258_1 has been updated forcibly by ski.

SHA-1: 3d283881b933c7859d4c95eb901307ab4dadd3e4
(0057655)
git (administrator)
2016-09-09 19:41

Branch CR27258_1 has been updated forcibly by ski.

SHA-1: 43e11651e3c7af9cb21345481ccfdea05186d4cf
(0057656)
git (administrator)
2016-09-09 20:18

Branch CR27258_1 has been updated forcibly by ski.

SHA-1: b67f9d55ccc43f74f687714630cf783096d9e927
(0057657)
git (administrator)
2016-09-09 20:25

Branch CR27258_1 has been updated forcibly by ski.

SHA-1: 1916aac4369b897863ae200379926bf79bdb302d
(0057848)
git (administrator)
2016-09-16 10:23

Branch CR27258_2 has been created by ski.

SHA-1: 98c3d6b509ffc09bab40c823705b921fcceb45b1


Detailed log of new commits:

Author: ski
Date: Mon Aug 22 14:14:59 2016 +0300

    0027258: Configuration - generate built-in replacement for mandatory resource files
(0057849)
git (administrator)
2016-09-16 10:29

Branch CR27258_2 has been updated forcibly by ski.

SHA-1: a3a48684466577ce4772415e81423e54ef7e0084
(0057874)
git (administrator)
2016-09-16 17:19

Branch CR27258_2 has been updated forcibly by ski.

SHA-1: bc0a6b8979ab7f2f77404e890ac13fa5a3c1ce53
(0057875)
git (administrator)
2016-09-16 17:29

Branch CR27258_2 has been updated forcibly by ski.

SHA-1: c2d8234e299d97f0cea8643b17e5a1f85aaee6dd
(0057876)
git (administrator)
2016-09-16 17:50

Branch CR27258_2 has been updated forcibly by ski.

SHA-1: e7a298c586a6623ba2a4271e240e0a394e14ad39
(0057898)
git (administrator)
2016-09-19 11:06

Branch CR27258_2 has been updated forcibly by ski.

SHA-1: e26f170db0924de06bbf69839a72f8368d09d4d4
(0057899)
git (administrator)
2016-09-19 11:10

Branch CR27258_2 has been updated forcibly by ski.

SHA-1: f2f1edf16187bd416db7e16881e70f2a41fd2fe7
(0057903)
ski (developer)
2016-09-19 11:37

Branch CR27258_2 was created.

It is possible now to generate header files from resource files.
CMake: BUILD_RESOURCES check box should be used.
genproj.tcl: -resources option of command genproj should be used.

It seems that CMake 2.8.12 could not read some resource files properly because they contain extended symbols (files UnitsAPI/Lexi_Expr.dat, UnitsAPI/Units.dat, XSMessage/IGES.fr, XSMessage/IGES.us)
Generation of such header files was excluded from CMake configuration procedure.

Resource file Shaders/Raytracebase.fs was changed because such sequence of characters as "[)" causes wrong results of CMake command "file (STRINGS ...)"
Resource file XSMessage/IGES.fr was changed because it seems that it contains a misprint.

Dear kgv,
Could you give me your opinion which resource files should be just replaced by header files and which resource files should be regenerated by BUILD_RESOURCES/genproj -resources tools?
(0057910)
kgv (developer)
2016-09-19 12:48

-  Message_MsgFile::LoadFromEnv ("CSF_XSMessage","IGES");
+  OSD_Environment extenv("CSF_LANGUAGE");
+  if (extenv.Value() == "" || extenv.Value() == "us")
+    Message_MsgFile::LoadFromString(XSMessage_IGES_us_String());
+  else

I don't see much reason for handling multiple translations within built-in fallback resources as well as this ugly BOM and other hacks to build strings with Unicode symbols - built-in resources should be without them or use HEX codes.
(0057931)
git (administrator)
2016-09-19 16:58

Branch CR27258_2 has been updated by ski.

SHA-1: d48edd23cee3d8dd46876e810efcaaa2c3f212d7


Detailed log of new commits:

Author: ski
Date: Mon Sep 19 16:22:52 2016 +0300

    Handling multiple translations within built-in fallback resources was eliminated.

(0057955)
git (administrator)
2016-09-20 16:59

Branch CR27258_2 has been updated by ski.

SHA-1: d2c4b61a08224912fa0ae925ac951e970002da25


Detailed log of new commits:

Author: ski
Date: Tue Sep 20 16:59:01 2016 +0300

    Added supporting of generation from resource files with extended symbols.

(0058013)
git (administrator)
2016-09-22 11:04

Branch CR27258_2 has been updated by ski.

SHA-1: e1b5a83e53b5ee28c0c9863055905b3fb69d448f


Detailed log of new commits:

Author: ski
Date: Thu Sep 22 11:04:23 2016 +0300

    Corrected mistake in IGES.us language file.

(0059104)
git (administrator)
2016-10-25 16:44

Branch CR27258_3 has been created by kgv.

SHA-1: d85ba17feb9bde6059a0881f1b91ae13a138be06


Detailed log of new commits:

Author: ski
Date: Mon Aug 22 14:14:59 2016 +0300

    0027258: Configuration - generate built-in replacement for mandatory resource files
    
    Generation of header files from resource files was added to CMake and genproj procedures.
(0059111)
git (administrator)
2016-10-25 17:00

Branch CR27258_3 has been updated forcibly by kgv.

SHA-1: 56380078f09a9fdc9b219015749636fefbaf70f8
(0059203)
git (administrator)
2016-10-26 18:51

Branch CR27258_3 has been updated forcibly by kgv.

SHA-1: 566d669f94e8327f4601fdf8d8384994433a44e8
(0059206)
git (administrator)
2016-10-26 19:27

Branch CR27258_3 has been updated forcibly by kgv.

SHA-1: dde696cb05fe2ed1b1bb22682ea54cac86012788
(0059211)
git (administrator)
2016-10-26 19:46

Branch CR27258_3 has been updated forcibly by kgv.

SHA-1: 4a55a10f5c95c505da78da052eefa267ca0ef55c
(0059212)
git (administrator)
2016-10-26 20:07

Branch CR27258_3 has been updated forcibly by kgv.

SHA-1: 807cc6f81772bb7339c3a585568c42d687a1fe1a
(0059258)
git (administrator)
2016-10-27 14:58

Branch CR27258_3 has been updated forcibly by kgv.

SHA-1: 4c7bee4c172bffdb636f83638bd28aeb3b05ab37
(0059259)
git (administrator)
2016-10-27 15:21

Branch CR27258_3 has been updated forcibly by kgv.

SHA-1: 14841aca691f93ff767923c3c7eebf1610ae44cb
(0059283)
git (administrator)
2016-10-27 16:44

Branch CR27258_3 has been updated forcibly by kgv.

SHA-1: 620c4e5548e40e8ad9201c2fb6dc3dfe7482272f
(0059294)
git (administrator)
2016-10-27 18:59

Branch CR27258_3 has been updated forcibly by kgv.

SHA-1: 28df0ba4ccd15e041d98852508370757c4d6c143
(0059296)
git (administrator)
2016-10-27 19:17

Branch CR27258_4 has been created by kgv.

SHA-1: 594551c70151b86f3130c72d5aea9f6d734acccf


Detailed log of new commits:

Author: ski
Date: Mon Aug 22 14:14:59 2016 +0300

    0027258: Configuration - generate built-in replacement for mandatory resource files
    
    Generation of header files from resource files was added to CMake and genproj procedures.
    
    Message_MsgFile has been extended with new method ::LoadFromString()
    for loading messages from embedded resources.
    Message_MsgFile::LoadFromString() is now a preferred way
    for loading message resources by application
    as alternative to environment variables.
    
    TObje/TObj.msg is now embedded into TObj_Application.cxx.
    TObj_Application now loads its global messages
    on instantiation of the first class instance.
    
    UnitsAPI/Lexi_Expr.dat now completely embedded into Units_Lexicon.cxx.
    UnitsAPI/Units.dat now embedded into Units_UnitsDictionary.cxx
    but can be regenerated from resource file.
    The definition of the following units have been removed:
(0059303)
git (administrator)
2016-10-28 10:12

Branch CR27258_5 has been created by kgv.

SHA-1: da1057a1b4ff5b70be4bd44ea0bc33218e058d53


Detailed log of new commits:

Author: ski
Date: Mon Aug 22 14:14:59 2016 +0300

    0027258: Configuration - generate built-in replacement for mandatory resource files
    
    Generation of header files from resource files was added to CMake and genproj procedures.
    
    Message_MsgFile has been extended with new method ::LoadFromString()
    for loading messages from embedded resources.
    Message_MsgFile::LoadFromString() is now a preferred way
    for loading message resources by application
    as alternative to environment variables.
    
    TObje/TObj.msg is now embedded into TObj_Application.cxx.
    TObj_Application now loads its global messages
    on instantiation of the first class instance.
    
    UnitsAPI/Lexi_Expr.dat now completely embedded into Units_Lexicon.cxx.
    UnitsAPI/Units.dat now embedded into Units_UnitsDictionary.cxx
    but can be regenerated from resource file.
    The definition of the following units have been removed:
(0059304)
git (administrator)
2016-10-28 10:51

Branch CR27258_5 has been updated by kgv.

SHA-1: ee0d3916a9465cec7f118b91d53384772b5a7f39


Detailed log of new commits:

Author: kgv
Date: Fri Oct 28 10:50:53 2016 +0300

    Enumeration Graphic3d_ShaderProgram::ShaderName_Phong
    demonstrating custom GLSL program usage has been removed.

(0059400)
git (administrator)
2016-10-28 21:37

Branch CR27258_3 has been deleted by kgv.

SHA-1: 28df0ba4ccd15e041d98852508370757c4d6c143
(0059401)
git (administrator)
2016-10-28 21:37

Branch CR27258_4 has been deleted by kgv.

SHA-1: 594551c70151b86f3130c72d5aea9f6d734acccf
(0059492)
git (administrator)
2016-10-28 21:45

Branch CR27258_1 has been deleted by kgv.

SHA-1: 1916aac4369b897863ae200379926bf79bdb302d
(0059493)
git (administrator)
2016-10-28 21:45

Branch CR27258_2 has been deleted by kgv.

SHA-1: e1b5a83e53b5ee28c0c9863055905b3fb69d448f
(0059603)
git (administrator)
2016-10-28 21:51

Branch CR27258 has been deleted by kgv.

SHA-1: 48fa390c4130f2ce565c5185bb7dc46a45b57fbc
(0059616)
git (administrator)
2016-10-28 22:00

Branch CR27258_5 has been deleted by kgv.

SHA-1: ee0d3916a9465cec7f118b91d53384772b5a7f39

- Related Changesets
occt: master ee5befae
Timestamp: 2016-10-28 11:29:58
Author: ski
Committer: apn
Details ] Diff ]
0027258: Configuration - generate built-in replacement for mandatory resource files

Generation of header files from resource files was added to CMake and genproj procedures.

Message_MsgFile has been extended with new method ::LoadFromString()
for loading messages from embedded resources.
Message_MsgFile::LoadFromString() is now a preferred way
for loading message resources by application
as alternative to environment variables.

TObje/TObj.msg is now embedded into TObj_Application.cxx.
TObj_Application now loads its global messages
on instantiation of the first class instance.

UnitsAPI/Lexi_Expr.dat now completely embedded into Units_Lexicon.cxx.
UnitsAPI/Units.dat now embedded into Units_UnitsDictionary.cxx
but can be regenerated from resource file.
The definition of the following units have been removed:
benne à charbon, calorie (diététique).

Unused message files XSMessage/IGES.us and IGES.fr have been removed.
Related code IGESData.cxx has been removed as well.

XSMessage/XSTEP.us is now embedded into Interface_StaticStandards.cxx
and used for fallback initialization in case when file resources
defined by CSF_XSMessage environment variable are missing.

SHMessage/SHAPE.us is now embedded into ShapeExtend.cxx
and used for fallback initialization in case when file resources
defined by CSF_XHMessage environment variable are missing.
Duplicating code has been removed from ShapeProcess_OperLibrary.cxx.

Shaders/Declarations.glsl and Shaders/DeclarationsImpl.glsl
are now embedded into OpenGl_ShaderProgram.cxx.
CSF_ShadersDirectory is no more required for using OCCT 3D Viewer.

Ray-Tracing GLSL programs from Shaders are now embedded into OpenGl_View_Raytrace.cxx.
File resources are still used instead of embedded programs
when CSF_ShadersDirectory is defined, but this functionality
is intended for OCCT development.

Enumeration Graphic3d_ShaderProgram::ShaderName_Phong
demonstrating custom GLSL program usage has been removed.
mod - adm/cmake/occt_macros.cmake Diff ] File ]
add - adm/cmake/occt_resources.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/RESOURCES Diff ] File ]
mod - adm/templates/env.bat Diff ] File ]
mod - adm/templates/env.bat.in Diff ] File ]
mod - adm/templates/env.sh Diff ] File ]
mod - adm/templates/env.sh.in Diff ] File ]
mod - adm/templates/header.in Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/overview/overview.md Diff ] File ]
mod - samples/java/jniviewer/jni/Android.mk Diff ] File ]
mod - samples/java/jniviewer/jni/OcctJni_Viewer.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderProgram.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderProgram.hxx Diff ] File ]
mod - src/IGESData/IGESData.cxx Diff ] File ]
mod - src/Interface/Interface_StaticStandards.cxx Diff ] File ]
mod - src/Message/Message_MsgFile.cxx Diff ] File ]
mod - src/Message/Message_MsgFile.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/Shaders/FILES Diff ] File ]
mod - src/Shaders/RaytraceBase.fs Diff ] File ]
mod - src/Shaders/RaytraceRender.fs Diff ] File ]
mod - src/Shaders/RaytraceSmooth.fs Diff ] File ]
add - src/Shaders/Shaders_DeclarationsImpl_glsl.pxx Diff ] File ]
add - src/Shaders/Shaders_Declarations_glsl.pxx Diff ] File ]
add - src/Shaders/Shaders_Display_fs.pxx Diff ] File ]
add - src/Shaders/Shaders_PathtraceBase_fs.pxx Diff ] File ]
add - src/Shaders/Shaders_RaytraceBase_fs.pxx Diff ] File ]
add - src/Shaders/Shaders_RaytraceBase_vs.pxx Diff ] File ]
add - src/Shaders/Shaders_RaytraceRender_fs.pxx Diff ] File ]
add - src/Shaders/Shaders_RaytraceSmooth_fs.pxx Diff ] File ]
mod - src/ShapeExtend/ShapeExtend.cxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_OperLibrary.cxx Diff ] File ]
mod - src/SHMessage/FILES Diff ] File ]
add - src/SHMessage/SHMessage_SHAPE_us.pxx Diff ] File ]
mod - src/TObj/FILES Diff ] File ]
mod - src/TObj/TObj_Application.cxx Diff ] File ]
add - src/TObj/TObj_TObj_msg.pxx Diff ] File ]
mod - src/TObjDRAW/TObjDRAW.cxx Diff ] File ]
mod - src/Units/Units.cxx Diff ] File ]
mod - src/Units/Units_Lexicon.cxx Diff ] File ]
mod - src/Units/Units_Lexicon.hxx Diff ] File ]
mod - src/Units/Units_UnitsDictionary.cxx Diff ] File ]
mod - src/Units/Units_UnitsDictionary.hxx Diff ] File ]
mod - src/Units/Units_UnitsLexicon.cxx Diff ] File ]
mod - src/Units/Units_UnitsLexicon.hxx Diff ] File ]
mod - src/UnitsAPI/FILES Diff ] File ]
rm - src/UnitsAPI/Lexi_Expr.dat Diff ] File ]
mod - src/UnitsAPI/Units.dat Diff ] File ]
mod - src/UnitsAPI/UnitsAPI.cxx Diff ] File ]
add - src/UnitsAPI/UnitsAPI_Units_dat.pxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/XSMessage/FILES Diff ] File ]
rm - src/XSMessage/IGES.fr Diff ] File ]
rm - src/XSMessage/IGES.us Diff ] File ]
add - src/XSMessage/XSMessage_XSTEP_us.pxx Diff ] File ]
mod - src/XSMessage/XSTEP.us Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-14 14:35 kgv New Issue
2016-03-14 14:35 kgv Assigned To => kgv
2016-03-14 14:44 git Note Added: 0051592
2016-03-14 14:44 kgv Note Added: 0051593
2016-03-14 14:44 kgv Assigned To kgv => abv
2016-03-14 14:44 kgv Status new => resolved
2016-03-18 10:13 abv Note Added: 0051767
2016-03-18 10:13 abv Status resolved => assigned
2016-03-18 10:13 abv Target Version 7.0.0 => 7.1.0
2016-03-18 10:43 kgv Assigned To abv => ski
2016-03-18 10:44 kgv Severity minor => feature
2016-03-18 10:44 kgv Category OCCT:Visualization => OCCT:Configuration
2016-03-18 10:44 kgv Summary Visualization - do not throw exception on missing or broken CSF_ShadersDirectory => Configuration - generate built-in replacement for mandatory resource files
2016-03-18 10:44 kgv Description Updated View Revisions
2016-04-26 19:51 kgv Relationship added related to 0027432
2016-07-13 22:49 kgv Relationship added related to 0027675
2016-09-05 18:26 git Note Added: 0057478
2016-09-05 18:42 git Note Added: 0057480
2016-09-05 18:43 git Note Added: 0057481
2016-09-05 18:46 git Note Added: 0057482
2016-09-06 15:24 git Note Added: 0057520
2016-09-08 16:48 git Note Added: 0057603
2016-09-09 12:15 git Note Added: 0057635
2016-09-09 16:45 git Note Added: 0057649
2016-09-09 19:41 git Note Added: 0057655
2016-09-09 20:18 git Note Added: 0057656
2016-09-09 20:25 git Note Added: 0057657
2016-09-16 10:23 git Note Added: 0057848
2016-09-16 10:29 git Note Added: 0057849
2016-09-16 17:19 git Note Added: 0057874
2016-09-16 17:29 git Note Added: 0057875
2016-09-16 17:50 git Note Added: 0057876
2016-09-19 11:06 git Note Added: 0057898
2016-09-19 11:10 git Note Added: 0057899
2016-09-19 11:37 ski Note Added: 0057903
2016-09-19 11:37 ski Assigned To ski => kgv
2016-09-19 11:37 ski Status assigned => feedback
2016-09-19 12:48 kgv Note Added: 0057910
2016-09-19 16:58 git Note Added: 0057931
2016-09-20 16:59 git Note Added: 0057955
2016-09-22 11:04 git Note Added: 0058013
2016-10-25 16:44 git Note Added: 0059104
2016-10-25 17:00 git Note Added: 0059111
2016-10-26 18:51 git Note Added: 0059203
2016-10-26 19:27 git Note Added: 0059206
2016-10-26 19:46 git Note Added: 0059211
2016-10-26 20:07 git Note Added: 0059212
2016-10-27 14:58 git Note Added: 0059258
2016-10-27 15:21 git Note Added: 0059259
2016-10-27 16:44 git Note Added: 0059283
2016-10-27 18:59 git Note Added: 0059294
2016-10-27 19:17 git Note Added: 0059296
2016-10-27 21:11 kgv Assigned To kgv => bugmaster
2016-10-27 21:11 kgv Status feedback => reviewed
2016-10-28 10:12 git Note Added: 0059303
2016-10-28 10:51 git Note Added: 0059304
2016-10-28 13:00 apv Test case number => Not needed
2016-10-28 13:01 apv Status reviewed => tested
2016-10-28 14:05 kgv Steps to Reproduce Updated View Revisions
2016-10-28 14:13 kgv Relationship added related to 0028024
2016-10-28 14:35 apn Changeset attached => occt master ee5befae
2016-10-28 14:35 apn Assigned To bugmaster => apn
2016-10-28 14:35 apn Status tested => verified
2016-10-28 14:35 apn Resolution open => fixed
2016-10-28 21:37 git Note Added: 0059400
2016-10-28 21:37 git Note Added: 0059401
2016-10-28 21:45 git Note Added: 0059492
2016-10-28 21:45 git Note Added: 0059493
2016-10-28 21:51 git Note Added: 0059603
2016-10-28 22:00 git Note Added: 0059616
2016-10-28 22:12 kgv Relationship added parent of 0028027
2016-11-17 16:53 kgv Relationship added related to 0028124
2016-11-30 22:23 kgv Relationship added related to 0028178
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:40 user533 Fixed in Version => 7.1.0
2017-08-15 15:18 abv Relationship added related to 0009457
2018-05-24 12:00 kgv Relationship added related to 0029810


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker